# -*- encoding: utf-8 -*-
# stub: ecma-re-validator 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ecma-re-validator".freeze
  s.version = "0.3.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Garen Torikian".freeze]
  s.date = "2020-12-03"
  s.description = "Validate a regular expression string against what ECMA-262 can actually do.".freeze
  s.email = ["gjtorikian@gmail.com".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "ecma-re-validator.gemspec".freeze, "lib/ecma-re-validator.rb".freeze, "lib/ecma-re-validator/version.rb".freeze, "script/bootstrap".freeze, "script/cibuild".freeze, "spec/anchors_spec.rb".freeze, "spec/atomic_grouping_spec.rb".freeze, "spec/comments_spec.rb".freeze, "spec/conditionals_spec.rb".freeze, "spec/lookbehind_spec.rb".freeze, "spec/mode_modifiers_spec.rb".freeze, "spec/named_capture_groups_spec.rb".freeze, "spec/possesive_quantifiers_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unicode_spec.rb".freeze, "spec/validator_spec.rb".freeze]
  s.homepage = "https://github.com/gjtorikian/ecma-re-validator".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Validate a regular expression string against what ECMA-262 can actually do.".freeze
  s.test_files = ["spec/anchors_spec.rb".freeze, "spec/atomic_grouping_spec.rb".freeze, "spec/comments_spec.rb".freeze, "spec/conditionals_spec.rb".freeze, "spec/lookbehind_spec.rb".freeze, "spec/mode_modifiers_spec.rb".freeze, "spec/named_capture_groups_spec.rb".freeze, "spec/possesive_quantifiers_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unicode_spec.rb".freeze, "spec/validator_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<regexp_parser>.freeze, ["~> 2.0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<awesome_print>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<pry>.freeze, ["~> 0.10".freeze])
end

